curl -X GET https://api.daytona.io/sandbox/sandbox123 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "X-Daytona-Organization-ID: your-org-id"
{
"id": "sandbox123",
"organizationId": "org456",
"name": "my-development-sandbox",
"snapshot": "ubuntu-4vcpu-8ram-100gb",
"user": "daytona",
"env": {
"NODE_ENV": "development"
},
"labels": {
"project": "my-app",
"environment": "dev"
},
"public": false,
"networkBlockAll": false,
"networkAllowList": "192.168.1.0/16",
"target": "us-east-1",
"cpu": 4,
"gpu": 0,
"memory": 8,
"disk": 100,
"state": "started",
"desiredState": "started",
"backupState": "None",
"autoStopInterval": 60,
"autoArchiveInterval": 10080,
"autoDeleteInterval": -1,
"volumes": [],
"createdAt": "2024-10-01T12:00:00Z",
"updatedAt": "2024-10-01T12:05:00Z",
"class": "medium",
"daemonVersion": "1.0.0",
"runnerId": "runner789"
}
Retrieve details of a specific sandbox by ID or name
curl -X GET https://api.daytona.io/sandbox/sandbox123 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "X-Daytona-Organization-ID: your-org-id"
{
"id": "sandbox123",
"organizationId": "org456",
"name": "my-development-sandbox",
"snapshot": "ubuntu-4vcpu-8ram-100gb",
"user": "daytona",
"env": {
"NODE_ENV": "development"
},
"labels": {
"project": "my-app",
"environment": "dev"
},
"public": false,
"networkBlockAll": false,
"networkAllowList": "192.168.1.0/16",
"target": "us-east-1",
"cpu": 4,
"gpu": 0,
"memory": 8,
"disk": 100,
"state": "started",
"desiredState": "started",
"backupState": "None",
"autoStopInterval": 60,
"autoArchiveInterval": 10080,
"autoDeleteInterval": -1,
"volumes": [],
"createdAt": "2024-10-01T12:00:00Z",
"updatedAt": "2024-10-01T12:05:00Z",
"class": "medium",
"daemonVersion": "1.0.0",
"runnerId": "runner789"
}
Retrieves detailed information about a specific sandbox using its ID or name.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/daytonaio/daytona/llms.txt
Use this file to discover all available pages before exploring further.
falsecreating, restoring, destroyed, destroying, started, stopped, starting, stopping, error, build_failed, pending_build, building_snapshot, unknown, pulling_snapshot, archived, archiving, resizingNone, Pending, InProgress, Completed, Errorsmall, medium, largecurl -X GET https://api.daytona.io/sandbox/sandbox123 \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "X-Daytona-Organization-ID: your-org-id"
{
"id": "sandbox123",
"organizationId": "org456",
"name": "my-development-sandbox",
"snapshot": "ubuntu-4vcpu-8ram-100gb",
"user": "daytona",
"env": {
"NODE_ENV": "development"
},
"labels": {
"project": "my-app",
"environment": "dev"
},
"public": false,
"networkBlockAll": false,
"networkAllowList": "192.168.1.0/16",
"target": "us-east-1",
"cpu": 4,
"gpu": 0,
"memory": 8,
"disk": 100,
"state": "started",
"desiredState": "started",
"backupState": "None",
"autoStopInterval": 60,
"autoArchiveInterval": 10080,
"autoDeleteInterval": -1,
"volumes": [],
"createdAt": "2024-10-01T12:00:00Z",
"updatedAt": "2024-10-01T12:05:00Z",
"class": "medium",
"daemonVersion": "1.0.0",
"runnerId": "runner789"
}